<?php
	require(dirname(__FILE__).'/init.php');

	define('AKB_WL_LANG_FILE',			dirname(__FILE__).'/includes/language/'.$GLOBALS['currentLanguage'].'/whitelabel.ini');
	define('AKB_LANG_FILE',				dirname(__FILE__).'/includes/language/'.$GLOBALS['currentLanguage'].'/front_language.ini');
	define('AKB_TPL_LOAD_PATH',			dirname(__FILE__).'/templates/'.$GLOBALS['template'].'/');
	define('AKB_TPL_PHP_PATH',			dirname(__FILE__).'/includes/display/');
	define('AKB_TPL_HTTP_PATH',			$GLOBALS['pathToKB'].'/templates/'.$GLOBALS['template'].'/');
	define('AKB_TPL_IMAGE_PATH',		AKB_TPL_HTTP_PATH.'Images');
	define('AKB_PANEL_LOAD_PATH',		AKB_TPL_LOAD_PATH.'Panels/');
	define('AKB_SNIPPET_LOAD_PATH',	AKB_TPL_LOAD_PATH.'Snippets/');
	define('CLASS_DIR', 				dirname(__FILE__).'/includes/classes');

	require(CLASS_DIR.'/class.helper.php');
	require(CLASS_DIR.'/class.panel.php');
	require(CLASS_DIR.'/class.template.php');
	require(CLASS_DIR.'/class.xmlsearch.php');
	require(CLASS_DIR.'/class.auth.php');

	$GLOBALS['AKB_CLASS_HELPER']		= new AKB_HELPER;
	$GLOBALS['AKB_CLASS_TEMPLATE']		= &new AKB_TEMPLATE;
	$GLOBALS['AKB_CLASS_XML_SEARCH']	= new AKB_XML_SEARCH;
	$GLOBALS['AKB_CLASS_HELPER']		= new AKB_HELPER;
	
	$GLOBALS['AKB_CLASS_TEMPLATE']->disabledEmbeddedTemplateOverride = true;

	$GLOBALS['SNIPPETS'] = '';
	if (!pageLoad()) {
		AKB_AUTH::ShowLoginForm(GetLang('SessionLoggedOutMessage'));
		die();
	}
	// Is the site down for maintenance?
	if ($GLOBALS['downForMaintenance'] == 1) {
		// Show the down for maintenance panel
		$GLOBALS['AKB_CLASS_TEMPLATE']->SetPageTitle(GetLang('hpDownForMaintenance'));
		$GLOBALS['AKB_CLASS_TEMPLATE']->SetTemplate('Maintenance');
		$GLOBALS['AKB_CLASS_TEMPLATE']->ParseTemplate();
		die();
	}

	if (FrontendAccess()) {
		if (isset($_REQUEST['q'])) {
			$GLOBALS['AKB_CLASS_XML_SEARCH']->searchString = $_REQUEST['q'];
		}

		if (isset($_REQUEST['type'])) {
			$type = $_REQUEST['type'];
		} else {
			$type = '';
		}

		$ret = $GLOBALS['AKB_CLASS_XML_SEARCH']->DoIt($type);

		// If this is an offsite request, instead of sending XML back, send back javascript
		if (isset($_REQUEST['offsite'])) {
			header('Content-type: text/javascript; charset='.$GLOBALS['charset']);
			echo "hideContactSearchingIcon();";
			echo "DisplayResults('".str_replace("'", "\\'", $ret)."');\n";
		}
		else {
			header('Content-type: text/xml; charset='.$GLOBALS['charset']);
			echo $ret;
		}
	}
?>
